Create table SHKProcessDefinitions
(
Name  VARCHAR2 (200)  NOT NULL     ,
PackageId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR2 (90)     ,
ProcessDefinitionCreated  INTEGER NOT NULL     ,
ProcessDefinitionVersion  VARCHAR2 (20)  NOT NULL     ,
State  INTEGER NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcesses
(
SyncVersion  INTEGER NOT NULL     ,
Id  VARCHAR2 (100)  NOT NULL     ,
ProcessDefinition  NUMBER (19,0)  NOT NULL    ,
PDefName  VARCHAR2 (200)  NOT NULL     ,
ActivityRequesterId  VARCHAR2 (100)     ,
ActivityRequesterProcessId  VARCHAR2 (100)     ,
ResourceRequesterId  VARCHAR2 (100)  NOT NULL     ,
ExternalRequesterClassName  VARCHAR2 (254)     ,
State  NUMBER (19,0)  NOT NULL    ,
Priority  INTEGER    ,
Name  VARCHAR2 (254)     ,
Created  INTEGER NOT NULL     ,
CreatedTZO  INTEGER NOT NULL     ,
Started  INTEGER    ,
StartedTZO  INTEGER    ,
LastStateTime  INTEGER NOT NULL     ,
LastStateTimeTZO  INTEGER NOT NULL     ,
LimitTime  INTEGER NOT NULL     ,
LimitTimeTZO  INTEGER NOT NULL     ,
Description  VARCHAR2 (254)     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessRequesters
(
Id  VARCHAR2 (100)  NOT NULL     ,
ActivityRequester  NUMBER (19,0)     ,
ResourceRequester  NUMBER (19,0)     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivities
(
Id  VARCHAR2 (100)  NOT NULL     ,
ActivitySetDefinitionId  VARCHAR2 (90)     ,
ActivityDefinitionId  VARCHAR2 (90)  NOT NULL     ,
Process  NUMBER (19,0)  NOT NULL    ,
TheResource  NUMBER (19,0)     ,
PDefName  VARCHAR2 (200)  NOT NULL     ,
ProcessId  VARCHAR2 (200)  NOT NULL     ,
ResourceId  VARCHAR2 (100)     ,
State  NUMBER (19,0)  NOT NULL    ,
BlockActivityId  VARCHAR2 (100)     ,
Performer  VARCHAR2 (100)     ,
IsPerformerAsynchronous  INTEGER    ,
Priority  INTEGER    ,
Name  VARCHAR2 (254)     ,
Activated  INTEGER NOT NULL     ,
ActivatedTZO  INTEGER NOT NULL     ,
Accepted  INTEGER    ,
AcceptedTZO  INTEGER    ,
LastStateTime  INTEGER NOT NULL     ,
LastStateTimeTZO  INTEGER NOT NULL     ,
LimitTime  INTEGER NOT NULL     ,
LimitTimeTZO  INTEGER NOT NULL     ,
Description  VARCHAR2 (254)     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKResourcesTable
(
Username  VARCHAR2 (100)  NOT NULL     ,
Name  VARCHAR2 (100)     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAssignmentsTable
(
Activity  NUMBER (19,0)  NOT NULL    ,
TheResource  NUMBER (19,0)  NOT NULL    ,
ActivityId  VARCHAR2 (100)  NOT NULL     ,
ActivityProcessId  VARCHAR2 (100)  NOT NULL     ,
ActivityProcessDefName  VARCHAR2 (200)  NOT NULL     ,
ResourceId  VARCHAR2 (100)  NOT NULL     ,
IsAccepted  INTEGER NOT NULL     ,
IsValid  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessData
(
Process  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  BLOB    ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessDataWOB
(
Process  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessDataBLOBs
(
ProcessDataWOB  NUMBER (19,0)  NOT NULL    ,
VariableValue  BLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityData
(
Activity  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  BLOB    ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
IsResult  INTEGER NOT NULL     ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityDataWOB
(
Activity  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
IsResult  INTEGER NOT NULL     ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityDataBLOBs
(
ActivityDataWOB  NUMBER (19,0)  NOT NULL    ,
VariableValue  BLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAndJoinTable
(
Process  NUMBER (19,0)  NOT NULL    ,
BlockActivity  NUMBER (19,0)     ,
ActivityDefinitionId  VARCHAR2 (90)  NOT NULL     ,
Activity  NUMBER (19,0)  NOT NULL    ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKDeadlines
(
Process  NUMBER (19,0)  NOT NULL    ,
Activity  NUMBER (19,0)  NOT NULL    ,
CNT  DECIMAL (19,0)  NOT NULL     ,
TimeLimit  INTEGER NOT NULL     ,
TimeLimitTZO  INTEGER NOT NULL     ,
ExceptionName  VARCHAR2 (100)  NOT NULL     ,
IsSynchronous  INTEGER NOT NULL     ,
IsExecuted  INTEGER NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessStates
(
KeyValue  VARCHAR2 (30)  NOT NULL     ,
Name  VARCHAR2 (50)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityStates
(
KeyValue  VARCHAR2 (30)  NOT NULL     ,
Name  VARCHAR2 (50)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



