#!/bin/sh

cd $(dirname $0)

if test -r ./configure.properties; then
    eval $(grep jdk_dir ./configure.properties)
    eval $(grep db_ext_dirs ./configure.properties)
fi
if test -z "$jdk_dir"; then
   echo "$0: error: Please define jdk_dir in configure.properties"
        { (exit 1); exit 1; };
fi
if test -z "$1"; then
   ARG1=_configure-dist
else
   ARG1=$*
fi

JAVA_HOME=$jdk_dir
PATH=$JAVA_HOME/bin:$PATH
export PATH

java -Djava.ext.dirs=lib/contrib/nonruntime:lib/contrib:$db_ext_dirs org.apache.tools.ant.Main -buildfile configure.xml $ARG1
chmod -R a+rwx logs db repository conf
